<?php
namespace Ak\Test;

/**
 * Testna konfiguracija.
 *
 * @package Ak\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 */
class ConfigProvider
{
    /**
     * Vraća konfiguraciju.
     *
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'db' => [
                'default_adapter' => 'db.adapter.sqlite',

                'adapters' => [
                    'db.adapter.sqlite' => [
                        'driver' => 'db.driver.sqlite',
                        'database' => ':memory:',
                    ],

                    'db.adapter.mysql' => [
                        'driver' => 'db.driver.mysql',
                        'hostname' => 'localhost',
                        'username' => 'test',
                        'password' => '',
                        'database' => 'test',
                    ],

                    'db.adapter.sqlsrv' => [
                        'driver' => 'db.driver.sqlsrv',
                        'hostname' => '192.168.58.20'
                        // TODO: Ove podatke provjeriti
                    ],
                ],
            ],
        ];
    }
}