<?php
namespace Ak\Test\Db;

use Ak\Db\Adapter\Driver\Dbal\Connection as DbalConnection;
use Doctrine\DBAL\Schema\Schema;
use PHPUnit\DbUnit\DefaultTester;

class DbTester extends DefaultTester
{
    /** @var DbalConnection */
    private $dbalConnection;
    /** @var Schema */
    private $dbalSchema;

    public function onSetUp(): void
    {
        /** @noinspection PhpMethodParametersCountMismatchInspection */
        $this->getSetUpOperation()->execute($this->getConnection(), $this->getDataSet(), $this->dbalConnection, $this->dbalSchema);
    }

    /**
     * @param DbalConnection $dbalConnection
     */
    public function setDbalConnection(DbalConnection $dbalConnection): void
    {
        $this->dbalConnection = $dbalConnection;
    }

    /**
     * @param Schema $dbalSchema
     */
    public function setDbalSchema(Schema $dbalSchema): void
    {
        $this->dbalSchema = $dbalSchema;
    }
}