<?php
namespace Ak\Test\Db\Operation;

use Ak\Db\Adapter\Driver\Dbal\Connection as DbalConnection;
use Doctrine\DBAL\Schema\Schema;
use PHPUnit\DbUnit\Database\Connection;
use PHPUnit\DbUnit\DataSet\IDataSet;
use PHPUnit\DbUnit\Operation\Operation;

/**
 * Kreira datu schemu.
 *
 * @package Ak\Test\Operation
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 */
class CreateSchema implements Operation
{
    /**
     * Executes the database operation against the given $connection for the
     * given $dataSet.
     *
     * @param Connection $connection
     * @param IDataSet $dataSet *
     * @param DbalConnection|null $dbalConnection
     * @param Schema $schema
     * @throws \Doctrine\DBAL\DBALException
     */
    public function execute(Connection $connection, IDataSet $dataSet, DbalConnection $dbalConnection = null, Schema $schema = null)
    {
        $schemaManager = $dbalConnection->getSchemaManager();
        $fromSchema = $schemaManager->createSchema();
        $sql = $fromSchema->getMigrateToSql($schema, $dbalConnection->getDatabasePlatform());

        foreach ($sql as $line) {
            $dbalConnection->exec($line);
        }
    }
}