<?php
namespace Ak\Test\Db\Operation;

use PHPUnit\DbUnit\Operation\Factory as BaseFactory;

/**
 * Stvara operacije za DbTester.
 *
 * @package Ak\Test\Operation
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 */
class Factory extends BaseFactory
{
    /**
     * Ova operacija stvara novu schemu.
     *
     * @return CreateSchema
     */
    public static function CREATE()
    {
        return new CreateSchema();
    }

    public static function CREATE_CLEAN_INSERT()
    {
        return new Composite([
            static::CREATE(),
            static::CLEAN_INSERT(true),
        ]);
    }

    public static function CREATE_INSERT()
    {
        return new Composite([
            static::CREATE(),
            static::INSERT(),
        ]);
    }
}