<?php
namespace Ak\Test;

use Ak\Validator\ValidatorPluginManager;
use Laminas\ServiceManager\ServiceManager;
use Laminas\Validator\ValidatorInterface;

/**
 * Alati za testiranje validatora.
 *
 * @package Ak\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 *
 * @method ServiceManager getContainer(array $config = [], array $services = [])
 */
trait ValidatorTestTrait
{
    /**
     * Vraća validator plugin manager.
     *
     * @return ValidatorPluginManager
     */
    protected function getValidatorManager(): ValidatorPluginManager
    {
        if (!in_array(\Ak\Validator\ConfigProvider::class, $this->configProviders)) {
            array_unshift($this->configProviders, \Ak\Validator\ConfigProvider::class);
        }

        $container = $this->getContainer();
        return $container->get(ValidatorPluginManager::class);
    }

    /**
     * Vraća validator s datim imenom.
     *
     * @param string $name
     *
     * @return ValidatorInterface
     */
    protected function getValidator(string $name): ValidatorInterface
    {
        $validators = $this->getValidatorManager();
        return $validators->get($name);
    }
}
