<?php
namespace Ak\Test;

use Ak\View\HelperPluginManager;
use Laminas\ServiceManager\ServiceManager;
use Laminas\View\Helper\HelperInterface;

/**
 * Alati za testiranje view komponenti.
 *
 * @package Ak\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 *
 * @method ServiceManager getContainer(array $config = [], array $services = [])
 */
trait ViewTestTrait
{
    /**
     * Vraća helper plugin manager.
     *
     * @return HelperPluginManager
     */
    protected function getHelperPluginManager(): HelperPluginManager
    {
        if (!in_array(\Ak\View\ConfigProvider::class, $this->configProviders)) {
            $this->configProviders[] = \Ak\View\ConfigProvider::class;
        }

        $container = $this->getContainer();
        return $container->get(HelperPluginManager::class);
    }

    /**
     * Vraća helper s datim imenom.
     *
     * @param string $name
     *
     * @return HelperInterface
     */
    protected function getHelper(string $name): HelperInterface
    {
        $manager = $this->getHelperPluginManager();
        return $manager->get($name);
    }
}
