<?php
namespace AkTest\Test;

use Ak\Test\AbstractTestCase;
use Ak\Test\FormTestTrait;
use Laminas\Form\Element\Text;
use Laminas\Form\Form;
use Laminas\Form\FormElementManager\FormElementManagerV3Polyfill;
use Laminas\Form\FormInterface;

/**
 * Class FormTestTraitTest
 *
 * @package AkTest\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 */
class FormTestTraitTest extends AbstractTestCase
{
    use FormTestTrait;

    public function testCanCreateFormElementManager()
    {
        $manager = $this->getFormElementManager();

        $this->assertInstanceOf(FormElementManagerV3Polyfill::class, $manager);
    }

    public function testCanCreateFormElement()
    {
        $element = $this->getFormElement('text', 'name');

        $this->assertInstanceOf(Text::class, $element);
        $this->assertEquals('name', $element->getName());
    }

    public function testCanCreateForm()
    {
        $form = $this->getForm(Form::class);

        $this->assertInstanceOf(FormInterface::class, $form);
    }
}
