<?php
namespace AkTest\Test;

use Ak\Db\ConfigProvider;
use Ak\Test\AbstractTestCase;
use Ak\Test\DbTestTrait;
use Doctrine\DBAL\Schema\Schema;
use PHPUnit\DbUnit\DataSet\ArrayDataSet;
use PHPUnit\DbUnit\DataSet\IDataSet;

/**
 * Class MockDbTest
 * @package AkTest\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mailchimp
 */
class MockDbTestCase extends AbstractTestCase
{
    use DbTestTrait;

    public $configProviders = [
        ConfigProvider::class,
        TestConfigProvider::class,
    ];

    public function runSetUp()
    {
        $this->setUp();
    }

    /**
     * Returns the test dataset.
     *
     * @return IDataSet
     */
    protected function getDataSet()
    {
        return new ArrayDataSet(include __DIR__ . '/data/some_table.php');
    }

    public function createSchema(Schema $schema): void
    {
        $table = $schema->createTable('some_table');
        $table->addColumn('id', 'integer', ['unsigned' => true]);
        $table->addColumn('name', 'string', ['length' => 255]);
        $table->setPrimaryKey(['id']);
        $schema->createSequence('some_table_seq');
    }
}